#!/usr/bin/python

import sys
import hotshot.stats

def main():
	prof_name = sys.argv[1]
	prof_file = ''.join(["/tmp/", prof_name, ".prof"])
	stats = hotshot.stats.load(prof_file)
	stats.strip_dirs()
	stats.sort_stats('time', 'calls')
	stats.print_stats(20)
	
if __name__ == "__main__":
	main()
	
